Subject: Re: Plans to put together an Info manual?

From: Teemu Likonen <[email-masked]>
Date: Thu, 08 Jan 2009 19:09:35 +0200

Tim Visher (2009-01-08 10:47 -0500) wrote:

> I wast just wondering A) If there is an info manual for Git, B) If
> there isn't, is one planned?

There is already something that _can_ be called "info manual for Git".
It's basically info version of Git User's Manual:

    http://www.kernel.org/pub/software/scm/git/docs/user-manual.html

Regular man pages are also available in info format.

The info manuals are not written in native info format, though. They are
generated from the asciidoc markup files, through xml format. There are
some problems with typesetting as some characters simply disappear in
the "asciidoc -> xml -> texi -> info" conversion. Two dashes (--) turn
into one (-), for example. But if you are not too demanding the info
manuals are quite usable. You can compile them with "make info" command.